org.springframework.cloud.dataflow.rest.client.dsl

## Class Stream.ProcessorBuilder

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.dsl.Stream.ProcessorBuilder

- Enclosing class:
    Stream

      public static class Stream.ProcessorBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StreamApplication` | `application`
    `protected org.springframework.cloud.dataflow.rest.client.dsl.Stream.PropertyBuilder` | `parent`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream.ProcessorBuilder` | `processor(StreamApplication processor)` Appends a `StreamApplication` as a processor for this stream
    `Stream.SinkBuilder` | `sink(StreamApplication sink)` Appends a `StreamApplication` as a sink for this stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### application

          protected StreamApplication application

    - #### parent

          protected org.springframework.cloud.dataflow.rest.client.dsl.Stream.PropertyBuilder parent

  - ### Method Detail

    - #### processor

          public Stream.ProcessorBuilder processor(StreamApplication processor)

      Appends a `StreamApplication` as a processor for this stream
      Parameters:
        `processor` - - The `StreamApplication` being added
      Returns:
        a `Stream.ProcessorBuilder` to continue the building of the Stream

    - #### sink

          public Stream.SinkBuilder sink(StreamApplication sink)

      Appends a `StreamApplication` as a sink for this stream
      Parameters:
        `sink` - - The `StreamApplication` being added
      Returns:
        a `Stream.SinkBuilder` to continue the building of the Stream

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.